/*
 * hs300x.h
 *
 *  Created on: 2023年2月14日
 *      Author: Administrator
 */

#ifndef HS300X_H_
#define HS300X_H_

#include "hal_data.h"
#define HS300X_ADR  0x44                        // look at datasheet
#define HS300X_TEMP_MULTY           0.010071415 // look at datasheet
#define HS300X_TEMP_MIN             40          // look at datasheet
#define HS300X_HUMD_MULTY           0.006163516 // look at datasheet
#define HS300X_MAX_ITERATION        100
#define HS300X_DELAY_MEASUREMENT    35          // typical on datasheet 16.90 ms, rounded up a little (35ms = 1 try)
#define HS300X_DELAY_ITERATION      1

#define HS300X_STALE_DATA           2
#define HS300X_OK                   1
#define HS300X_ERROR_SENSOR_BUSY    0
#define HS300X_ERROR_COLLISION_I2C  -1

/* E31状态 M1 为休眠状态  M0 为发射状态  */
#define M1()  R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_00_PIN_14 | BSP_IO_PORT_00_PIN_15, BSP_IO_LEVEL_HIGH);
#define M0()  R_IOPORT_PinWrite(&g_ioport_ctrl, BSP_IO_PORT_00_PIN_14 | BSP_IO_PORT_00_PIN_15, BSP_IO_LEVEL_LOW);

void hs300x_data_entry(void);




#endif /* HS300X_H_ */
